com.typesafe.config

## Interface ConfigParseable

All Known Implementing Classes:
  Parseable

    public interface ConfigParseable

An opaque handle to something that can be parsed, obtained from `ConfigIncludeContext`.

Do not implement this interface; it should only be implemented by the config library. Arbitrary implementations will not work because the library internals assume a specific concrete implementation. Also, this interface is likely to grow new methods over time, so third-party implementations will break.

### Method Summary

All Methods Instance Methods Abstract Methods
`ConfigParseOptions` `options()` Get the initial options, which can be modified then passed to parse().
`ConfigOrigin` `origin()` Returns a `ConfigOrigin` describing the origin of the parseable item.
`ConfigObject` `parse(ConfigParseOptions options)` Parse whatever it is.

### Method Detail

#### parse

    ConfigObject parse(ConfigParseOptions options)

Parse whatever it is. The options should come from `options()` but you could tweak them if you like.

Parameters:
  `options` - parse options, should be based on the ones from `options()`
Returns:
  the parsed object

#### origin

    ConfigOrigin origin()

Returns a `ConfigOrigin` describing the origin of the parseable item.

Returns:
  the origin of the parseable item

#### options

    ConfigParseOptions options()

Get the initial options, which can be modified then passed to parse(). These options will have the right description, includer, and other parameters already set up.

Returns:
  the initial options